メインコンテンツへスキップ
PUT
/
task_assignments
/
{task_assignment_id}
cURL
curl -i -X PUT "https://api.box.com/2.0/task_assignments/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "message": "New message",
       "resolution_state": "completed"
     }'
{
  "id": "11446498",
  "type": "task_assignment",
  "item": {
    "id": "12345",
    "type": "file",
    "etag": "1",
    "sequence_id": "3",
    "name": "Contract.pdf",
    "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
    "file_version": {
      "id": "12345",
      "type": "file_version",
      "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
    }
  },
  "assigned_to": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "message": "Please review",
  "completed_at": "2012-12-12T10:53:43-08:00",
  "assigned_at": "2012-12-12T10:53:43-08:00",
  "reminded_at": "2012-12-12T10:53:43-08:00",
  "resolution_state": "incomplete",
  "assigned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

task_assignment_id
string
必須

タスク割り当てのID。

ボディ

application/json
message
string

タスクに追加できる担当者によるメッセージ (省略可)。

:

"Looks good to me"

resolution_state
enum<string>

ユーザーに割り当てられたタスクの状態。

  • action値がcompleteのタスクの場合はincompleteまたはcompletedになります。
  • actionreviewのタスクの場合はincompleteapproved、またはrejectedになります。
利用可能なオプション:
completed,
incomplete,
approved,
rejected
:

"completed"

レスポンス

更新されたタスク割り当てオブジェクトを返します。

タスク割り当てでは、完了するためにどのタスクをどのユーザーに割り当てるかを定義します。

id
string

このタスク割り当ての一意の識別子。

:

"11446498"

type
enum<string>

値は常にtask_assignmentになります。

利用可能なオプション:
task_assignment
:

"task_assignment"

item
ファイル (Mini) · object

タスクが割り当てられているファイル。

assigned_to
ユーザー (Mini) · object

タスクが割り当てられているユーザー。

message
string

タスク割り当てに含められるメッセージ。これは、ウェブおよびモバイルUIで、タスクが割り当てられたユーザーに表示されます。

:

"Please review"

completed_at
string<date-time>

このタスク割り当てが完了した日。タスクがまだ完了していない場合はnullになります。

:

"2012-12-12T10:53:43-08:00"

assigned_at
string<date-time>

このタスクがユーザーに割り当てられた日。

:

"2012-12-12T10:53:43-08:00"

reminded_at
string<date-time>

タスクが割り当てられたユーザーに、このタスク割り当てがリマインドされた日。

:

"2012-12-12T10:53:43-08:00"

resolution_state
enum<string>

割り当ての現在の状態。使用可能な状態は、タスクオブジェクトのaction値によって異なります。

利用可能なオプション:
completed,
incomplete,
approved,
rejected
:

"incomplete"

assigned_by
ユーザー (Mini) · object

このタスクを割り当てたユーザー。